﻿@model IEnumerable<MyCity.Models.BuildingPermit>

@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
<style>
    body{
        text-align:center;
    }
</style>

<h1>لیست درخواست های قبلی</h1>

<p>
    <a asp-action="Create">ثبت درخواست جدید</a>
</p>
<table class="table" style="direction:rtl">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.GoogleEarthLink)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ZirBana)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Parking)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.DateAdded)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.LastEditDate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Zone)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Status)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                <a href="@item.GoogleEarthLink">لینک گوگل ارث</a>
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.ZirBana)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Parking)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.DateAdded)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.LastEditDate)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Zone)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Status)
            </td>
            <td>

                @Html.ActionLink("ویرایش", "Edit", new { /* id=item.PrimaryKey */ }) |

                @Html.ActionLink("جزئیات", "Details", new { /* id=item.PrimaryKey */ }) |
                @Html.ActionLink("حذف", "Delete", new { /* id=item.PrimaryKey */ }) 
            </td>
        </tr>
}
    </tbody>
</table>
